
Redmine - Defect #2108

git repository browser uses author time instead of commit time for ordering

2008-10-29 18:13 - Leandro Lucarella

Status: Closed Start date: 2008-10-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.3

Description

The git repository browser seems to be ordering commits using the "author" time instead of the "commit" time (git difference

authoring and committing). It makes more sense to use the "commit" time (this is how git log and git web and other history viewers

arrange patches).

Related issues:

Related to Redmine - Defect #11710: Git: Repository view author/date inconsis... New

Related to Redmine - Defect #5357: Git: SCM revisions ordered by date/time (s... New 2010-04-20

Associated revisions

Revision 1999 - 2008-11-09 13:07 - Jean-Philippe Lang

Git adapter: use commit time instead of author time (#2108).

History

#1 - 2008-11-08 16:57 - Jean-Philippe Lang

The date displayed by git log command is used.

Eg:

commit 61b685fbe55ab05b5ac68402d5720c1a6ac973d1

Author: jsmith <jsmith@foo.bar>

Date:   2007-12-14 16:15:51 +0100

 Where can I find the "commit time" ?

#2 - 2008-11-09 00:15 - Leandro Lucarella

You can use git log --pretty=fuller, for example (a commit with different AuthorDate and CommitDate):

commit c17203c111fde640e620095c1d93b42d460c73e4

Author:     Leandro Lucarella <luca@7542.fi.uba.ar>

AuthorDate: Sun Oct 19 20:16:55 2008 -0200

Commit:     Leandro Lucarella <luca@7542.fi.uba.ar>

CommitDate: Mon Oct 20 00:35:20 2008 -0200

 You can also do git log --pretty=format:"%cd [hash] to get only the commit time of a single commit =)

You can see the man page with git log --help if you need to easily get other commit info, the section called PRETTY FORMATS is the one with all the

formatting specification.

Thank you.

#3 - 2008-11-09 13:07 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fix committed in r1999.

#4 - 2008-11-09 13:51 - Leandro Lucarella

Thanks again =)
